# ngsPETSc.eps

This module contains all the functions related to the SLEPc eigenvalue solver (EPS/PEP) interface for NGSolve

## Attributes

`SLEPc` |

## Classes

`EigenSolver` | This calss creates a SLEPc Eigen Problem Solver (EPS/PEP) from NGSolve

## Module Contents

ngsPETSc.eps.SLEPc = None

class ngsPETSc.eps.EigenSolver(pencil, fes, nev, ncv=SLEPc.DECIDE, optionsPrefix=None, solverParameters=None)

  This calss creates a SLEPc Eigen Problem Solver (EPS/PEP) from NGSolve variational problem pencil, i.e. a0(u,v)+lam*a1(u,v)+(lam^2)*a2(u,v)+ … = 0 Inspired by Firedrake Eigensolver class.

  Parameters:

    pencil – tuple containing the bilinear forms a: V x V -> K composing

  the pencil, e.g. (m,a) with a = BilinearForm(grad(u),grad(v)*dx) and m = BilinearForm(-1*u*v*dx)

  Parameters:

    - fes – finite element space V

    - nev – number of requested eigenvalue

    - ncv – dimension of the internal subspace used by SLEPc,

  by Default by SLEPc.DECIDE

  Parameters:

    - solverParameters – parameters to be passed to the KSP solver

    - optionsPrefix – special solver options prefix for this specific Krylov solver

  comm
  penLength
  fes
  nev
  ncv
  solverParameters
  optionsPrefix
  pencilMats = []
  pencilFlags = []
  eps = None
  pep = None